@echo off

set tafile=%1
set tasize=%~z1
set /a defaultasize=1024 * 2048
echo TA RESTORE
echo If you are using a custom kernel, this script won't work
echo Use BackupTA instead
echo.
if "%tafile%" == "" (
	echo Error: Please specify a TA image to restore
	goto end
)

if not exist %tafile% (
	echo Error: File %tafile% does not exist
	goto end
)

if not %tasize% EQU %defaultasize% (
	echo Error: Wrong TA size
	goto end
)

echo WARNING: DO NOT RESTORE TA IMAGE FROM OTHER DEVICE
echo PLEASE MAKE SURE YOU KNOW WHAT YOU ARE DOING
echo THE AUTHOR TAKES NO RESPOSIBILITY
echo.
adb push %tafile% "/data/local/tmp/TA.img" > NUL 2> NUL
echo Are you sure you want to restore:
adb shell "md5 /data/local/tmp/TA.img"
echo.

set response=
set /p response=Type "Yes I want" if you want to restore this file: 
if "%response%" == "Yes I want" (
	echo Starting restore
	pause
	echo.
	adb push "root/iovyroot" "/data/local/tmp/iovyroot" > NUL 2> NUL
	adb push "root/restore.sh" "/data/local/tmp/restore.sh" > NUL 2> NUL
	adb shell "chmod 777 /data/local/tmp/iovyroot"
	adb shell "chmod 777 /data/local/tmp/restore.sh"
	adb shell "/data/local/tmp/iovyroot /data/local/tmp/restore.sh"
	adb shell "rm /data/local/tmp/restore.sh"
	adb shell "rm /data/local/tmp/iovyroot"
	echo.
	echo TA Backup restored
	echo Flash stock firmware now
) else (
	echo Aborted
)

:remove
adb shell "rm /data/local/tmp/TA.img"
:end
pause